// Copyright (C) 2009, 2010, 2014, 2015 Apple Inc. All rights reserved.
// Copyright (C) 2009 Google Inc. All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions
// are met:
// 1. Redistributions of source code must retain the above copyright
//    notice, this list of conditions and the following disclaimer.
// 2. Redistributions in binary form must reproduce the above copyright
//    notice, this list of conditions and the following disclaimer in the
//    documentation and/or other materials provided with the distribution.
//
// THIS SOFTWARE IS PROVIDED BY APPLE INC. ``AS IS'' AND ANY
// EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
// PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL APPLE INC. OR
// CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
// EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
// PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
// PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
// OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
// (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
// OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

// The contents of this file must be kept in sync with FeatureDefines.xcconfig in JavaScriptCore,
// WebCore, WebKit and WebKit2.  Also the default values of the ENABLE_FEATURE_NAME macros in
// build-webkit should match the values below, but they do not need to be in the same order.

// Keep this list of features (not enabled/disabled state) in sync with FeatureDefines.vsprops
// and FeatureDefinesCairo.vsprops in WebKitLibraries/win/tools/vsprops.

// Set any ENABLE_FEATURE_NAME macro to an empty string to disable that feature.

ENABLE_3D_TRANSFORMS = ENABLE_3D_TRANSFORMS;
ENABLE_ACCELERATED_2D_CANVAS = ;
ENABLE_ACCELERATED_OVERFLOW_SCROLLING[sdk=iphone*] = ENABLE_ACCELERATED_OVERFLOW_SCROLLING;
ENABLE_ATTACHMENT_ELEMENT = ;
ENABLE_AVF_CAPTIONS[sdk=iphone*] = ENABLE_AVF_CAPTIONS;
ENABLE_AVF_CAPTIONS[sdk=macosx*] = $(ENABLE_AVF_CAPTIONS_macosx_$(TARGET_MAC_OS_X_VERSION_MAJOR));
ENABLE_AVF_CAPTIONS_macosx_1090 = ;
ENABLE_AVF_CAPTIONS_macosx_101000 = ENABLE_AVF_CAPTIONS;
ENABLE_AVF_CAPTIONS_macosx_101100 = ENABLE_AVF_CAPTIONS;
ENABLE_AVF_CAPTIONS_macosx_101200 = ENABLE_AVF_CAPTIONS;
ENABLE_CACHE_PARTITIONING = ENABLE_CACHE_PARTITIONING;
ENABLE_CANVAS_PATH = ENABLE_CANVAS_PATH;
ENABLE_CANVAS_PROXY = ;
ENABLE_CHANNEL_MESSAGING = ENABLE_CHANNEL_MESSAGING;
ENABLE_ES6_ARROWFUNCTION_SYNTAX = ;
ENABLE_ES6_CLASS_SYNTAX = ENABLE_ES6_CLASS_SYNTAX;
ENABLE_ES6_TEMPLATE_LITERAL_SYNTAX = ENABLE_ES6_TEMPLATE_LITERAL_SYNTAX;
ENABLE_CONTENT_FILTERING = ENABLE_CONTENT_FILTERING;
ENABLE_CSP_NEXT = ;
ENABLE_CSS_ANIMATIONS_LEVEL_2 = ;
ENABLE_CSS_BOX_DECORATION_BREAK = ENABLE_CSS_BOX_DECORATION_BREAK;
ENABLE_CSS_COMPOSITING = ENABLE_CSS_COMPOSITING;
ENABLE_CSS_DEVICE_ADAPTATION = ;
ENABLE_CSS_GRID_LAYOUT = ;
ENABLE_CSS_IMAGE_ORIENTATION = ;
ENABLE_CSS_IMAGE_RESOLUTION = ;
ENABLE_CSS_REGIONS = ENABLE_CSS_REGIONS;
ENABLE_CSS_SELECTORS_LEVEL4 = ;
ENABLE_CSS_SHAPES = ENABLE_CSS_SHAPES;
ENABLE_CSS3_TEXT = ;
ENABLE_CSS3_TEXT_LINE_BREAK = ;
ENABLE_CURSOR_VISIBILITY = ENABLE_CURSOR_VISIBILITY;
ENABLE_CUSTOM_SCHEME_HANDLER = ;
ENABLE_DASHBOARD_SUPPORT[sdk=macosx*] = ENABLE_DASHBOARD_SUPPORT;
ENABLE_DATALIST_ELEMENT = ;
ENABLE_DATA_TRANSFER_ITEMS = ;
ENABLE_DETAILS_ELEMENT = ENABLE_DETAILS_ELEMENT;
ENABLE_DEVICE_ORIENTATION[sdk=iphone*] = ENABLE_DEVICE_ORIENTATION;
ENABLE_DOM4_EVENTS_CONSTRUCTOR = ENABLE_DOM4_EVENTS_CONSTRUCTOR;
ENABLE_ENCRYPTED_MEDIA[sdk=macosx*] = ENABLE_ENCRYPTED_MEDIA;
ENABLE_ENCRYPTED_MEDIA_V2[sdk=macosx*] = ENABLE_ENCRYPTED_MEDIA_V2;
ENABLE_FILTERS_LEVEL_2[sdk=iphone*] = ENABLE_FILTERS_LEVEL_2;
ENABLE_FILTERS_LEVEL_2[sdk=macosx*] = $(ENABLE_FILTERS_LEVEL_2_macosx_$(TARGET_MAC_OS_X_VERSION_MAJOR));
ENABLE_FILTERS_LEVEL_2_macosx_1090 = ;
ENABLE_FILTERS_LEVEL_2_macosx_101000 = ENABLE_FILTERS_LEVEL_2;
ENABLE_FILTERS_LEVEL_2_macosx_101100 = ENABLE_FILTERS_LEVEL_2;
ENABLE_FILTERS_LEVEL_2_macosx_101200 = ENABLE_FILTERS_LEVEL_2;
ENABLE_FONT_LOAD_EVENTS = ;
ENABLE_FULLSCREEN_API[sdk=macosx*] = ENABLE_FULLSCREEN_API;
ENABLE_GAMEPAD[sdk=macosx*] = ;
ENABLE_GAMEPAD_DEPRECATED = ;
ENABLE_GEOLOCATION = ENABLE_GEOLOCATION;
ENABLE_HIDDEN_PAGE_DOM_TIMER_THROTTLING[sdk=macosx*] = ENABLE_HIDDEN_PAGE_DOM_TIMER_THROTTLING;
ENABLE_ICONDATABASE[sdk=macosx*] = ENABLE_ICONDATABASE;
ENABLE_SERVICE_CONTROLS[sdk=macosx*] = $(ENABLE_SERVICE_CONTROLS_macosx_$(TARGET_MAC_OS_X_VERSION_MAJOR));
ENABLE_SERVICE_CONTROLS_macosx_1090 = ;
ENABLE_SERVICE_CONTROLS_macosx_101000 = ENABLE_SERVICE_CONTROLS;
ENABLE_SERVICE_CONTROLS_macosx_101100 = ENABLE_SERVICE_CONTROLS;
ENABLE_SERVICE_CONTROLS_macosx_101200 = ENABLE_SERVICE_CONTROLS;
ENABLE_INDEXED_DATABASE = ENABLE_INDEXED_DATABASE;
ENABLE_INDEXED_DATABASE_IN_WORKERS = ;
ENABLE_INDIE_UI = ;
ENABLE_INPUT_TYPE_COLOR[sdk=macosx*] = ;
ENABLE_INPUT_TYPE_COLOR_POPOVER[sdk=macosx*] = ;
ENABLE_INPUT_TYPE_DATE[sdk=iphone*] = ENABLE_INPUT_TYPE_DATE;
ENABLE_INPUT_TYPE_DATETIME_INCOMPLETE = ;
ENABLE_INPUT_TYPE_DATETIMELOCAL[sdk=iphone*] = ENABLE_INPUT_TYPE_DATETIMELOCAL;
ENABLE_INPUT_TYPE_MONTH[sdk=iphone*] = ENABLE_INPUT_TYPE_MONTH;
ENABLE_INPUT_TYPE_TIME[sdk=iphone*] = ENABLE_INPUT_TYPE_TIME;
ENABLE_INPUT_TYPE_WEEK[sdk=iphone*] = ENABLE_INPUT_TYPE_WEEK;

ENABLE_INSPECTOR_ALTERNATE_DISPATCHERS[sdk=iphone*] = ENABLE_INSPECTOR_ALTERNATE_DISPATCHERS;
ENABLE_INSPECTOR_ALTERNATE_DISPATCHERS[sdk=macosx*] = $(ENABLE_INSPECTOR_ALTERNATE_DISPATCHERS_macosx_$(TARGET_MAC_OS_X_VERSION_MAJOR))
ENABLE_INSPECTOR_ALTERNATE_DISPATCHERS_macosx_1090 = ;
ENABLE_INSPECTOR_ALTERNATE_DISPATCHERS_macosx_101000 = ENABLE_INSPECTOR_ALTERNATE_DISPATCHERS;
ENABLE_INSPECTOR_ALTERNATE_DISPATCHERS_macosx_101100 = ENABLE_INSPECTOR_ALTERNATE_DISPATCHERS;
ENABLE_INSPECTOR_ALTERNATE_DISPATCHERS_macosx_101200 = ENABLE_INSPECTOR_ALTERNATE_DISPATCHERS;

ENABLE_WIRELESS_PLAYBACK_TARGET[sdk=iphone*] = ENABLE_WIRELESS_PLAYBACK_TARGET;
ENABLE_WIRELESS_PLAYBACK_TARGET[sdk=macosx*] = $(ENABLE_WIRELESS_PLAYBACK_TARGET_macosx_$(TARGET_MAC_OS_X_VERSION_MAJOR))
ENABLE_WIRELESS_PLAYBACK_TARGET_macosx_1090 = ;
ENABLE_WIRELESS_PLAYBACK_TARGET_macosx_101000 = ;
ENABLE_WIRELESS_PLAYBACK_TARGET_macosx_101100 = ENABLE_WIRELESS_PLAYBACK_TARGET;
ENABLE_WIRELESS_PLAYBACK_TARGET_macosx_101200 = ENABLE_WIRELESS_PLAYBACK_TARGET;

ENABLE_INTL = ;

ENABLE_IOS_GESTURE_EVENTS[sdk=iphone*] = $(ENABLE_IOS_GESTURE_EVENTS_ios_WITH_INTERNAL_SDK_$(USE_INTERNAL_SDK));
ENABLE_IOS_GESTURE_EVENTS_ios_WITH_INTERNAL_SDK_YES = ENABLE_IOS_GESTURE_EVENTS;

ENABLE_IOS_TEXT_AUTOSIZING[sdk=iphone*] = ENABLE_IOS_TEXT_AUTOSIZING;

ENABLE_IOS_TOUCH_EVENTS[sdk=iphone*] = $(ENABLE_IOS_TOUCH_EVENTS_ios_WITH_INTERNAL_SDK_$(USE_INTERNAL_SDK));
ENABLE_IOS_TOUCH_EVENTS_ios_WITH_INTERNAL_SDK_YES = ENABLE_IOS_TOUCH_EVENTS;

ENABLE_LEGACY_CSS_VENDOR_PREFIXES = ENABLE_LEGACY_CSS_VENDOR_PREFIXES;
ENABLE_LEGACY_NOTIFICATIONS[sdk=macosx*] = ENABLE_LEGACY_NOTIFICATIONS;
ENABLE_LEGACY_VENDOR_PREFIXES = ENABLE_LEGACY_VENDOR_PREFIXES;
ENABLE_LEGACY_WEB_AUDIO = ENABLE_LEGACY_WEB_AUDIO;
ENABLE_LETTERPRESS[sdk=iphone*] = ENABLE_LETTERPRESS;
ENABLE_LINK_PREFETCH = ;
ENABLE_MATHML = ENABLE_MATHML;
ENABLE_MEDIA_CONTROLS_SCRIPT = ENABLE_MEDIA_CONTROLS_SCRIPT;
ENABLE_MEDIA_SESSION = ;

ENABLE_MEDIA_SOURCE[sdk=macosx*] = $(ENABLE_MEDIA_SOURCE_macosx_$(TARGET_MAC_OS_X_VERSION_MAJOR));
ENABLE_MEDIA_SOURCE_macosx_1090 = ;
ENABLE_MEDIA_SOURCE_macosx_101000 = ENABLE_MEDIA_SOURCE;
ENABLE_MEDIA_SOURCE_macosx_101100 = ENABLE_MEDIA_SOURCE;
ENABLE_MEDIA_SOURCE_macosx_101200 = ENABLE_MEDIA_SOURCE;

ENABLE_MEDIA_STATISTICS = ;
ENABLE_MEDIA_STREAM = ;
ENABLE_METER_ELEMENT[sdk=macosx*] = ENABLE_METER_ELEMENT;
ENABLE_MHTML = ;
ENABLE_MOUSE_CURSOR_SCALE[sdk=macosx*] = ENABLE_MOUSE_CURSOR_SCALE;
ENABLE_NAVIGATOR_CONTENT_UTILS = ;
ENABLE_NAVIGATOR_HWCONCURRENCY = ;
ENABLE_NOSNIFF = ;
ENABLE_NOTIFICATIONS[sdk=macosx*] = ENABLE_NOTIFICATIONS;
ENABLE_PDFKIT_PLUGIN[sdk=macosx*] = ENABLE_PDFKIT_PLUGIN;
ENABLE_PICTURE_SIZES = ;
ENABLE_POINTER_LOCK = ;
ENABLE_PROMISES = ENABLE_PROMISES;
ENABLE_PROXIMITY_EVENTS = ;
ENABLE_PUBLIC_SUFFIX_LIST = ENABLE_PUBLIC_SUFFIX_LIST;
ENABLE_QUOTA = ;
ENABLE_REQUEST_ANIMATION_FRAME = ENABLE_REQUEST_ANIMATION_FRAME;
ENABLE_REQUEST_AUTOCOMPLETE = ;
ENABLE_REMOTE_INSPECTOR[sdk=iphone*] = ENABLE_REMOTE_INSPECTOR;
ENABLE_REMOTE_INSPECTOR[sdk=macosx*] = $(ENABLE_REMOTE_INSPECTOR_macosx_$(TARGET_MAC_OS_X_VERSION_MAJOR));
ENABLE_REMOTE_INSPECTOR_macosx_1090 = ;
ENABLE_REMOTE_INSPECTOR_macosx_101000 = ENABLE_REMOTE_INSPECTOR;
ENABLE_REMOTE_INSPECTOR_macosx_101100 = ENABLE_REMOTE_INSPECTOR;
ENABLE_REMOTE_INSPECTOR_macosx_101200 = ENABLE_REMOTE_INSPECTOR;
ENABLE_RESOLUTION_MEDIA_QUERY = ;
ENABLE_RUBBER_BANDING[sdk=macosx*] = ENABLE_RUBBER_BANDING;
ENABLE_CSS_SCROLL_SNAP = ENABLE_CSS_SCROLL_SNAP;
ENABLE_SPEECH_SYNTHESIS = ENABLE_SPEECH_SYNTHESIS;
ENABLE_STREAMS_API = ;
ENABLE_SUBTLE_CRYPTO = ENABLE_SUBTLE_CRYPTO;
ENABLE_SVG_FONTS = ENABLE_SVG_FONTS;
ENABLE_SVG_OTF_CONVERTER = ENABLE_SVG_OTF_CONVERTER;

ENABLE_TELEPHONE_NUMBER_DETECTION[sdk=iphone*] = ENABLE_TELEPHONE_NUMBER_DETECTION;
ENABLE_TELEPHONE_NUMBER_DETECTION[sdk=macosx*] = $(ENABLE_TELEPHONE_NUMBER_DETECTION_macosx_$(TARGET_MAC_OS_X_VERSION_MAJOR));
ENABLE_TELEPHONE_NUMBER_DETECTION_macosx_1090 = ;
ENABLE_TELEPHONE_NUMBER_DETECTION_macosx_101000 = ENABLE_TELEPHONE_NUMBER_DETECTION;
ENABLE_TELEPHONE_NUMBER_DETECTION_macosx_101100 = ENABLE_TELEPHONE_NUMBER_DETECTION;
ENABLE_TELEPHONE_NUMBER_DETECTION_macosx_101200 = ENABLE_TELEPHONE_NUMBER_DETECTION;

ENABLE_TEMPLATE_ELEMENT = ENABLE_TEMPLATE_ELEMENT;
ENABLE_TEXT_AUTOSIZING = ;

ENABLE_CSS_TRAILING_WORD = ENABLE_CSS_TRAILING_WORD;

// FIXME: Remove the USE_INTERNAL_SDK condition once we support touch events when building for iOS with
// the public SDK. We will also need to update FeatureDefines.h.
ENABLE_TOUCH_EVENTS[sdk=iphone*] = $(ENABLE_TOUCH_EVENTS_ios_WITH_INTERNAL_SDK_$(USE_INTERNAL_SDK));
ENABLE_TOUCH_EVENTS_ios_WITH_INTERNAL_SDK_YES = ENABLE_TOUCH_EVENTS;

ENABLE_TOUCH_ICON_LOADING = ;
ENABLE_USERSELECT_ALL = ENABLE_USERSELECT_ALL;
ENABLE_VIDEO = ENABLE_VIDEO;
ENABLE_VIDEO_PRESENTATION_MODE[sdk=iphone*] = ENABLE_VIDEO_PRESENTATION_MODE;
ENABLE_VIDEO_TRACK = ENABLE_VIDEO_TRACK;
ENABLE_DATACUE_VALUE = ENABLE_DATACUE_VALUE;
ENABLE_VIEW_MODE_CSS_MEDIA = ;
ENABLE_WEBGL = ENABLE_WEBGL;
ENABLE_WEBGL2 = ;
ENABLE_WEB_AUDIO = ENABLE_WEB_AUDIO;
ENABLE_WEB_REPLAY = $(ENABLE_WEB_REPLAY_$(PLATFORM_NAME)_$(CONFIGURATION));
ENABLE_WEB_REPLAY_macosx_Debug = ;
ENABLE_WEB_REPLAY_macosx_Release = ;
ENABLE_WEB_SOCKETS = ENABLE_WEB_SOCKETS;

ENABLE_WEB_TIMING[sdk=iphone*] = ENABLE_WEB_TIMING;
ENABLE_WEB_TIMING[sdk=macosx*] = $(ENABLE_WEB_TIMING_macosx_$(TARGET_MAC_OS_X_VERSION_MAJOR));
ENABLE_WEB_TIMING_macosx_1090 = ;
ENABLE_WEB_TIMING_macosx_101000 = ENABLE_WEB_TIMING;
ENABLE_WEB_TIMING_macosx_101100 = ENABLE_WEB_TIMING;
ENABLE_WEB_TIMING_macosx_101200 = ENABLE_WEB_TIMING;

ENABLE_WEBVTT_REGIONS = ENABLE_WEBVTT_REGIONS;
ENABLE_XHR_TIMEOUT = ENABLE_XHR_TIMEOUT;

// FIXME: Remove the USE_INTERNAL_SDK condition once we support XSLT when building for iOS with the
// public SDK. We will also need to update FeatureDefines.h.
ENABLE_XSLT[sdk=macosx*] = ENABLE_XSLT;
ENABLE_XSLT[sdk=iphone*] = $(ENABLE_XSLT_ios_WITH_INTERNAL_SDK_$(USE_INTERNAL_SDK));
ENABLE_XSLT_ios_WITH_INTERNAL_SDK_YES = ENABLE_XSLT;

ENABLE_FTL_JIT[sdk=macosx*] = ENABLE_FTL_JIT;
ENABLE_FTL_JIT[sdk=iphoneos*] = ENABLE_FTL_JIT;

ENABLE_SATURATED_LAYOUT_ARITHMETIC = ENABLE_SATURATED_LAYOUT_ARITHMETIC;

FEATURE_DEFINES = $(ENABLE_3D_TRANSFORMS) $(ENABLE_ACCELERATED_2D_CANVAS) $(ENABLE_ACCELERATED_OVERFLOW_SCROLLING) $(ENABLE_AVF_CAPTIONS) $(ENABLE_ATTACHMENT_ELEMENT) $(ENABLE_CACHE_PARTITIONING) $(ENABLE_CANVAS_PATH) $(ENABLE_CANVAS_PROXY) $(ENABLE_CHANNEL_MESSAGING) $(ENABLE_ES6_ARROWFUNCTION_SYNTAX) $(ENABLE_ES6_CLASS_SYNTAX) $(ENABLE_ES6_TEMPLATE_LITERAL_SYNTAX) $(ENABLE_CONTENT_FILTERING) $(ENABLE_CSP_NEXT) $(ENABLE_CSS_ANIMATIONS_LEVEL_2) $(ENABLE_CSS_BOX_DECORATION_BREAK) $(ENABLE_CSS_COMPOSITING) $(ENABLE_CSS_DEVICE_ADAPTATION) $(ENABLE_CSS_GRID_LAYOUT) $(ENABLE_CSS_IMAGE_ORIENTATION) $(ENABLE_CSS_IMAGE_RESOLUTION) $(ENABLE_CSS_REGIONS) $(ENABLE_CSS_SELECTORS_LEVEL4) $(ENABLE_CSS_SHAPES) $(ENABLE_CSS3_TEXT) $(ENABLE_CSS3_TEXT_LINE_BREAK) $(ENABLE_CURSOR_VISIBILITY) $(ENABLE_CUSTOM_SCHEME_HANDLER) $(ENABLE_DASHBOARD_SUPPORT) $(ENABLE_DATALIST_ELEMENT) $(ENABLE_DATA_TRANSFER_ITEMS) $(ENABLE_DETAILS_ELEMENT) $(ENABLE_DEVICE_ORIENTATION) $(ENABLE_DOM4_EVENTS_CONSTRUCTOR) $(ENABLE_ENCRYPTED_MEDIA) $(ENABLE_ENCRYPTED_MEDIA_V2) $(ENABLE_FILTERS_LEVEL_2) $(ENABLE_FONT_LOAD_EVENTS) $(ENABLE_FULLSCREEN_API) $(ENABLE_GAMEPAD) $(ENABLE_GAMEPAD_DEPRECATED) $(ENABLE_GEOLOCATION) $(ENABLE_HIDDEN_PAGE_DOM_TIMER_THROTTLING) $(ENABLE_ICONDATABASE) $(ENABLE_SERVICE_CONTROLS) $(ENABLE_INDEXED_DATABASE) $(ENABLE_INDEXED_DATABASE_IN_WORKERS) $(ENABLE_INDIE_UI) $(ENABLE_INPUT_TYPE_COLOR) $(ENABLE_INPUT_TYPE_COLOR_POPOVER) $(ENABLE_INPUT_TYPE_DATE) $(ENABLE_INPUT_TYPE_DATETIME_INCOMPLETE) $(ENABLE_INPUT_TYPE_DATETIMELOCAL) $(ENABLE_INPUT_TYPE_MONTH) $(ENABLE_INPUT_TYPE_TIME) $(ENABLE_INPUT_TYPE_WEEK) $(ENABLE_WIRELESS_PLAYBACK_TARGET) $(ENABLE_INTL) $(ENABLE_IOS_GESTURE_EVENTS) $(ENABLE_IOS_TEXT_AUTOSIZING) $(ENABLE_IOS_TOUCH_EVENTS) $(ENABLE_LEGACY_CSS_VENDOR_PREFIXES) $(ENABLE_LEGACY_NOTIFICATIONS) $(ENABLE_LEGACY_VENDOR_PREFIXES) $(ENABLE_LEGACY_WEB_AUDIO) $(ENABLE_LETTERPRESS) $(ENABLE_LINK_PREFETCH) $(ENABLE_MATHML) $(ENABLE_MEDIA_CONTROLS_SCRIPT) $(ENABLE_MEDIA_SESSION) $(ENABLE_MEDIA_SOURCE) $(ENABLE_MEDIA_STATISTICS) $(ENABLE_MEDIA_STREAM) $(ENABLE_METER_ELEMENT) $(ENABLE_MHTML) $(ENABLE_MOUSE_CURSOR_SCALE) $(ENABLE_NAVIGATOR_CONTENT_UTILS) $(ENABLE_NAVIGATOR_HWCONCURRENCY) $(ENABLE_NOTIFICATIONS) $(ENABLE_PDFKIT_PLUGIN) $(ENABLE_PICTURE_SIZES) $(ENABLE_POINTER_LOCK) $(ENABLE_PROMISES) $(ENABLE_PROXIMITY_EVENTS) $(ENABLE_PUBLIC_SUFFIX_LIST) $(ENABLE_QUOTA) $(ENABLE_REQUEST_ANIMATION_FRAME) $(ENABLE_REQUEST_AUTOCOMPLETE) $(ENABLE_REMOTE_INSPECTOR) $(ENABLE_RESOLUTION_MEDIA_QUERY) $(ENABLE_RUBBER_BANDING) $(ENABLE_CSS_SCROLL_SNAP) $(ENABLE_SPEECH_SYNTHESIS) $(ENABLE_STREAMS_API) $(ENABLE_SUBTLE_CRYPTO) $(ENABLE_SVG_FONTS) $(ENABLE_SVG_OTF_CONVERTER) $(ENABLE_TELEPHONE_NUMBER_DETECTION) $(ENABLE_TEMPLATE_ELEMENT) $(ENABLE_TEXT_AUTOSIZING) $(ENABLE_TOUCH_EVENTS) $(ENABLE_TOUCH_ICON_LOADING) $(ENABLE_CSS_TRAILING_WORD) $(ENABLE_USERSELECT_ALL) $(ENABLE_VIDEO) $(ENABLE_VIDEO_TRACK) $(ENABLE_DATACUE_VALUE) $(ENABLE_VIEW_MODE_CSS_MEDIA) $(ENABLE_WEBGL) $(ENABLE_WEBGL2) $(ENABLE_WEB_AUDIO) $(ENABLE_WEB_REPLAY) $(ENABLE_WEB_SOCKETS) $(ENABLE_WEB_TIMING) $(ENABLE_WEBVTT_REGIONS) $(ENABLE_XHR_TIMEOUT) $(ENABLE_XSLT) $(ENABLE_FTL_JIT) $(ENABLE_JIT) $(ENABLE_SATURATED_LAYOUT_ARITHMETIC) $(ENABLE_VIDEO_PRESENTATION_MODE);
